import java.awt.*;
import javax.swing.*;

public class mainWindow extends JPanel
{
	private String _user = "1";
	private String _password = "126809"; //defualt values
	private String _enemy = "0";
	private idCheck _idWindow;
	private MartyMcfly mm;
	
	public mainWindow()
	{
		super(new GridBagLayout());
		GridBagConstraints c = new GridBagConstraints();
		
		JButton _networkbutton = new networkButton();
		c.gridwidth = 1;
		c.gridheight = 1;
		c.gridx = 0;
		c.gridy = 0;
		c.anchor = GridBagConstraints.CENTER;
		c.fill = GridBagConstraints.NONE;
		c.insets = new Insets(10,10,10,10);
		add(_networkbutton, c);
		
		JButton _exitbutton = new exitButton();
		c.gridwidth = 1;
		c.gridheight = 1;
		c.gridx = 0;
		c.gridy = 1;
		c.anchor = GridBagConstraints.CENTER;
		c.insets = new Insets(10,10,10,10);
		add(_exitbutton, c);
	}
	
	public static void main(String [] args)
	{
		JFrame frame;
		
		JFrame.setDefaultLookAndFeelDecorated(true);
		frame = new JFrame("Game of the Amazons");
        frame.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
        mainWindow _panel = new mainWindow();
        _panel.setOpaque(true);
        frame.setContentPane(_panel);
	    frame.pack();
	    frame.setVisible(true);
	}
	
	private class networkButton extends JButton implements java.awt.event.ActionListener
	{
		public networkButton()
		{
			super("Open Network Game");
			addActionListener(this);
			
		}
		public void actionPerformed(java.awt.event.ActionEvent e)
		{
			_idWindow = new idCheck();
		}
	}
	
	private class exitButton extends JButton implements java.awt.event.ActionListener
	{
		public exitButton()
		{
			super("Exit Program");
			addActionListener(this);
			
		}
		public void actionPerformed(java.awt.event.ActionEvent e)
		{
			System.exit(0);
		}
	}
	
	private class idCheck extends JPanel
	{
		private JFrame logframe;
		private JTextField _opp;
		public idCheck()
		{
			super(new GridBagLayout());
			
			JFrame.setDefaultLookAndFeelDecorated(true);
			logframe = new JFrame("Login Information");
			logframe.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
			logframe.setResizable(false);
			GridBagConstraints c = new GridBagConstraints();
			
			JButton _id1button = new id1Button();
			c.gridwidth = 1;
			c.gridheight = 1;
			c.gridx = 0;
			c.gridy = 0;
			c.anchor = GridBagConstraints.CENTER;
			c.insets = new Insets(10,10,10,10);
			add(_id1button, c);
			
			JButton _id2button = new id2Button();
			c.gridwidth = 1;
			c.gridheight = 1;
			c.gridx = 1;
			c.gridy = 0;
			c.insets = new Insets(10,10,10,10);
			add(_id2button, c);
			
			JLabel _msg = new JLabel("Enter Opponent ID: ");
			c.gridwidth = 1;
			c.gridheight = 1;
			c.gridx = 0;
			c.gridy = 1;
			c.insets = new Insets(10,10,10,10);
			add(_msg, c);
			
			_opp = new JTextField();
			_opp.setText("0");
			c.gridwidth = 1;
			c.gridheight = 1;
			c.gridx = 1;
			c.gridy = 1;
			c.fill = GridBagConstraints.BOTH;
			c.insets = new Insets(10,10,10,10);
			add(_opp, c);
			
			JButton _sub = new submit();
			c.weightx = 0.5;
			c.weighty = 0;
			c.gridwidth = 1;
			c.gridheight = 1;
			c.gridx = 0;
			c.gridy = 2;
			c.fill = GridBagConstraints.NONE;
			c.insets = new Insets(10,10,10,10);
			add(_sub, c);
			
	        this.setOpaque(true);
	        logframe.setContentPane(this);
	        logframe.pack();
	        logframe.setVisible(true);
	        mm = new MartyMcfly();
		}
		
		private class id1Button extends JButton implements java.awt.event.ActionListener
		{
			public id1Button()
			{
				super("Use ID 1");
				addActionListener(this);
			}
		
			public void actionPerformed(java.awt.event.ActionEvent e)
			{
				_user = "1";
				_password = "126809";
			}
		}
			
		private class id2Button extends JButton implements java.awt.event.ActionListener
		{
			public id2Button()
			{
				super("Use ID 2");
				addActionListener(this);
			}
			public void actionPerformed(java.awt.event.ActionEvent e)
			{
				_user = "2";
				_password = "273744";
			}
		}
	
		private class submit extends JButton implements java.awt.event.ActionListener
		{
			public submit()
			{
				super("Submit");
				addActionListener(this);
			}
			public void actionPerformed(java.awt.event.ActionEvent e)
			{
				_enemy=_opp.getText();
				logframe.dispose();
				mm.displayWindow(true);
				mm.startTheGame(_user, _password, _enemy);
			}
		}
	}
}